✨ Get activity logs
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Query parameters
end_date
End date/time (ISO-8601) for log filtering.
method
HTTP request method used in the log.
ordering
Which field to use when ordering the results.
page
[or “start”] Current page index.
page_size
[or “length”] Logs per page, use -1 to obtain all logs (might be slow).
project
Project ID to filter logs.
search
Search expression using “AND”/“OR” to filter by request URL.
start_date
Start date/time (ISO-8601) for log filtering.
user
User ID to filter logs.
workspace
Workspace owner ID to filter logs.
Response
Activity logs
data
recordsFiltered
recordsTotal
Errors
404
Not Found Error